-- English

SA_SPELLS_HEALS = 
{
	-- Priest
	["Flash Heal"] = 1,
	["Greater Heal"] = 1,
	["Heal"] = 1,
	["Prayer of Healing"] = 1,
	-- Druid
	["Healing Touch"] = 1,
	["Regrowth"] = 1,
	["Tranquility"] = 1,
	-- Shaman
	["Healing Wave"] = 1,
	["Lesser Healing Wave"] = 1,
};

SA_SPELLS_CC = 
{
	-- Priest
	["Mind Control"] = 1,
	-- Druid
	["Entangling Roots"] = 1,
	-- Mage
	["Polymorph"] = 1,
};

SA_SPELLS_DISPELABLE = 
{
	-- Priest
	["Power Word: Shield"] = 1,
	["Renew"] = 1,
	["Inner Fire"] = 1,
	["Power Word: Fortitude"] = 1,
	["Shadow Protection"] = 1,
	["Divine Spirit"] = 1,
	-- Druid
	["Rejuvenation"] = 1,
	["Thorn"] = 1,
	["Mark of the Wild"] = 1,
	["Regrowth"] = 1,
	["Innervate"] = 1,
	-- Mage
	["Arcane Intellect"] = 1,
	["Frost Armor"] = 1,
	["Fire Ward"] = 1,
	["Frost Ward"] = 1,
	["Ice Armor"] = 1,
	["Mage Armor"] = 1,
	["Arcane Power"] = 1,
	["Ice Barrier"] = 1,
	["Mana Shield"] = 1,
	-- Shaman
	["Lightning Shield"] = 1,
	["Windfury Weapon"] = 1,
	["Nature's Swiftness"] = 1,
	["Water Walking"] = 1,
	["Ghost Wolf"] = 1,
	-- Warlock
	["Demon Skin"] = 1,
	["Demon Armor"] = 1,
	["Shadow Ward"] = 1,
	-- Unknown
	["Ancestral Fortitude"] = 1,
	["Ephemeral Power"] = 1,
};

SA_SPELLS_DAMAGE = 
{
	-- Priest
	["Mind Blast"] = 1,
	["Mana Burn"] = 1,
	["Starshards"] = 1,
	["Smite"] = 1,
	["Mind Flay"] = 1,
	["Holy Fire"] = 1,
	-- Druid
	["Wrath"] = 1,
	["Starfire"] = 1,
	["Hurricane"] = 1,
	-- Hunter
	["Volley"] = 1,
	-- Mage
	["Frostbolt"] = 1,
	["Fireball"] = 1,
	["Arcane Missiles"] = 1,
	["Arcane Explosion"] = 1,
	["Blizzard"] = 1,
	["Pyroblast"] = 1,
	["Teleport: Ironforge"] = 1,
	["Teleport: Orgrimmar"] = 1,
	["Teleport: Stormwind"] = 1,
	["Teleport: Undercity"] = 1,
	["Scorch"] = 1,
	["Teleport: Darnassus"] = 1,
	["Teleport: Thunder Bluff"] = 1,
	["Pyroblast"] = 1,
	["Flamestrike"] = 1,
	-- Shaman
	["Lightning Bolt"] = 1,
	["Chain Lightning"] = 1,
	-- Warlock
	["Immolate"] = 1,
	["Corruption"] = 1,
	["Shadow Bolt"] = 1,
	["Fear"] = 1,
	["Drain Soul"] = 1,
	["Health Funnel"] = 1,
	["Drain Life"] = 1,
	["Searing Pain"] = 1,
	["Ritual of Summoning"] = 1,
	["Drain Mana"] = 1,
	["Hellfire"] = 1,
	["Conflagrate"] = 1,
	["Howl of Terror"] = 1,
	["Soul Fire"] = 1,
};

-- Spells/Emotes that will be ignored
SA_SPELLS_IGNORE = 
{
	["Abolish Poision"] = 1;
	["Aimed Shot"] = 1;
	["Arcane Intellect"] = 1;
	["Arcane Shot"] = 1;
	["Argent Dawn Commission"] = 1;
	["Aspect of the Cheetah"] = 1;
	["Aspect of the Hawk"] = 1;
	["Aspect of the Monkey"] = 1;
	["Attack"] = 1;
	["Battle Shout"] = 1;
	["Bloodrage"] = 1;
	["Blood Craze"] = 1;
	["Blood Pact"] = 1;
	["Battle Shout"] = 1;
	["Battle Stance"] = 1;
	["Berserker Stance"] = 1;
	["Blade Flurry"] = 1;
	["Blink"] = 1;
	["Clearcasting"] = 1;
	["Concussive Shot"] = 1;
	["Dash"] = 1;
	["Defensive Stance"] = 1;
	["Detect Traps"] = 1;
	["Devotion Aura"] = 1;
	["Enrage"] = 1;
	["Evasion"] = 1;
	["Explosive Shot"] = 1;
	["Fade"] = 1;
	["Fire Resistance Aura"] = 1;
	["Flurry"] = 1;
	["Focused Casting"] = 1;
	["Haste"] = 1;
	["Holy Strength"] = 1;
	["Inspiration"] = 1;
	["Julie's Blessing"] = 1;
	["Remorseless"] = 1;
	["Serpent Sting"] = 1;
	["Scatter Shot"] = 1;
	["Shield Block"] = 1;
	["Spirit of Redemption"] = 1;
	["Spirit Tap"] = 1;
	["Sprint"] = 1;
	["Stealth"] = 1;
	["Swiftshifting"] = 1;
	["Travel Form"] = 1;
	["Trueshot Aura"] = 1;
	["Viper Sting"] = 1;
};

SA_MOBS_ACCEPT = 
{
};

SA_PTN_SPELL_BEGIN_CAST = "(.+) begins to cast (.+).";
SA_PTN_SPELL_GAINS_X = "(.+) gains (%d+) (.+).";
SA_PTN_SPELL_GAINS = "(.+) gains (.+).";
SA_PTN_SPELL_TOTEM = "(.+) casts (.+) Totem.";
SA_PTN_SPELL_FADE = "(.+) fades from (.+).";

SA_WOTF = "Will of the Forsaken";
SA_BERSERKER_RAGE = "Berserker Rage";
SA_AFFLICT_LIVINGBOMB = "You are afflicted by Living Bomb.";
SA_AFFLICT_SCATTERSHOT = "You are afflicted by Scatter Shot."
SA_AFFLICT_FEAR = "You are afflicted by Fear.";
SA_AFFLICT_INTIMIDATING_SHOUT = "You are afflicted by Intimidating Shout.";
SA_AFFLICT_PSYCHIC_SCREAM = "You are afflicted by Psychic Scream.";
SA_AFFLICT_PANIC = "You are afflicted by Panic.";
SA_AFFLICT_BELLOWING_ROAR = "You are afflicted by Bellowing Roar.";
SA_AFFLICT_ANCIENT_DESPAIR = "You are afflicted by Ancient Despair.";
SA_AFFLICT_ANCIENT_SCREECH = "You are afflicted by Terrifying Screech.";
SA_AFFLICT_POLYMORPH = "You are afflicted by Polymorph."
SA_SCATTERSHOT = "Scatter Shot";
SA_FEAR = "Fear";
SA_INTIMIDATING_SHOUT = "Intimidating Shout";
SA_PSYCHIC_SCREAM = "Psychic Scream";
SA_PANIC = "Panic";
SA_BELLOWING_ROAR = "Bellowing Roar";
SA_ANCIENT_DESPAIR = "Ancient Despair.";
SA_SCREECH = "Terrifying Screech.";
SA_POLYMORPH = "Polymorph."

SA_EMOTE_DEEPBREATH = "takes in a deep breath...";


if (GetLocale()=="deDE") then
-- German

SA_PTN_SPELL_BEGIN_CAST = "(.+) beginnt (.+) zu wirken.";
SA_PTN_SPELL_GAINS_X = "(.+) bekommt (%d+) (.+).";
SA_PTN_SPELL_GAINS = "(.+) bekommt (.+).";
SA_PTN_SPELL_TOTEM = "(.+) wirkt (.+).";
SA_PTN_SPELL_FADE = "(.+) schwindet von (.+).";

SA_WOTF = "Wille der Verlassenen";
SA_BERSERKER_RAGE = "Berserker-Wut";
SA_AFFLICT_LIVINGBOMB = "Ihr seid von Lebende Bombe betroffen.";
SA_AFFLICT_SCATTERSHOT = "Ihr seid von Streuschuss betroffen."
SA_AFFLICT_FEAR = "Ihr seid von Furcht betroffen.";
SA_AFFLICT_INTIMIDATING_SHOUT = "Ihr seid von Demoralisierungsruf betroffen.";
SA_AFFLICT_PSYCHIC_SCREAM = "Ihr seid von Psychischer Schrei betroffen.";
SA_AFFLICT_PANIC = "Ihr seid von Panik betroffen.";
SA_AFFLICT_BELLOWING_ROAR = "You are afflicted by Bellowing Roar.";
SA_AFFLICT_ANCIENT_DESPAIR = "You are afflicted by Ancient Despair.";
SA_AFFLICT_ANCIENT_SCREECH = "You are afflicted by Terrifying Screech.";
SA_AFFLICT_POLYMORPH = "You are afflicted by Polymorph."
SA_SCATTERSHOT = "Streuschuss";
SA_FEAR = "Furcht";
SA_INTIMIDATING_SHOUT = "Demoralisierungsruf";
SA_PSYCHIC_SCREAM = "Psychischer Schrei";
SA_PANIC = "Panik";
SA_BELLOWING_ROAR = "Bellowing Roar";
SA_ANCIENT_DESPAIR = "Ancient Despair.";
SA_SCREECH = "Terrifying Screech.";
SA_POLYMORPH = "Polymorph."

SA_EMOTE_DEEPBREATH = "atmet tief ein...";


elseif (GetLocale()=="koKR") then
-- Korean

SA_SPELLS_HEALS = 
{
	-- 사제
	["순간 치유"] = 1, -- Flash Heal
	["상급 치유"] = 1, -- Greater Heal
	["치유"] = 1, --Heal
	["치유의 기원"] = 1, -- Prayer of Healing
	["하급 치유"] = 1, -- Lesser Heal
	-- 드루이드
	["치유의 손길"] = 1, -- Healing Touch
	["재생"] = 1, -- Regrowth
	["평온"] = 1, -- Tranquility
	-- 주술사
	["치유의 물결"] = 1, -- Healing Wave
	["하급 치유의 물결"] = 1, -- Lesser Healing Wave
	-- 성기사
	["성스러운 빛"] = 1, -- Holy Light
	["빛의 섬광"] = 1, -- Flash of Light
};

SA_SPELLS_CC = 
{
	-- 사제
	["정신 지배"] = 1, -- Mind Control
	-- 드루이드
	["휘감는 뿌리"] = 1, -- Entangling Roots
	-- 마법사
	["변이"] = 1, -- Polymorph
	-- 흑마법사
	["공포"] = 1, -- Fear 
	["공포의 울부짖음"] = 1, -- Howl of Terror 
	["현혹"] = 1, -- Seduction
	["악마 지배"] = 1, -- Enslave Demon
	["추방"] = 1, -- Banish
	-- 성기사
	["언데드 퇴치"] = 1, -- Turn Undead
	-- 사냥꾼
	-- ["야수 겁주기"] =1, -- Scare Beast
};

SA_SPELLS_DISPELABLE = 
{
	-- 사제
	["신의 권능: 보호막"] = 1, -- Power Word: Shield
	["소생"] = 1, -- Renew
	["내면의 열정"] = 1, -- Inner Fire
	["신의 권능: 인내"] = 1, -- Power Word: Fortitude
	["어둠의 보호"] = 1, -- Shadow Protection
	["천상의 정신"] = 1, -- Divine Spirit
	-- 드루이드
	["회복"] = 1, -- Rejuvenation
	["가시"] = 1, -- Thorn
	["야생의 징표"] = 1, -- Mark of the Wild
	["재생"] = 1, -- Regrowth
	["정신 자극"] = 1, -- Innervate
	-- 마법사
	["신비한 지능"] = 1, -- Arcane Intellect
	["냉기 갑옷"] = 1, -- Frost Armor
	["화염계 수호"] = 1, -- Fire Ward
	["냉기계 수호"] = 1, -- Frost Ward
	["얼음 갑옷"] = 1, -- Ice Armor
	["마법사 갑옷"] = 1, -- Mage Armor
	["신비의 마법 강화"] = 1, -- Arcane Power
	["얼음 보호막"] = 1, -- Ice Barrier
	["마나 보호막"] = 1, -- Mana Shield
	-- 주술사
	["번개 보호막"] = 1, -- Lightning Shield
	["질풍의 무기"] = 1, -- Windfury Weapon
	["자연의 신속함"] = 1, -- Nature's Swiftness
	["수면 걷기"] = 1, -- Water Walking
	["늑대 정령"] = 1, -- Ghost Wolf
	-- 흑마법사
	["악마의 피부"] = 1, -- Demon Skin
	["악마의 갑옷"] = 1, -- Demon Armor
	["암흑계 수호"] = 1, -- Shadow Ward
	-- Unknown
	["선인의 인내력"] = 1, -- Ancestral Fortitude
	["마력의 힘"] = 1, -- Ephemeral Power
};

SA_SPELLS_DAMAGE = 
{
	-- 사제
	["정신 분열"] = 1, -- Mind Blast
	["마나 연소"] = 1, -- Mana Burn
	["별조각"] = 1, -- Starshards
	["성스러운 일격"] = 1, -- Smite
	["정신의 채찍"] = 1, -- Mind Flay
	["신성한 불꽃"] = 1, -- Holy Fire
	-- 드루이드
	["천벌"] = 1, -- Wrath
	["별빛 화살"] = 1, -- Starfire
	["허리케인"] = 1, -- Hurricane
	-- 사냥꾼
	["연발 사격"] = 1, -- Volley
	-- 마법사
	["얼음 화살"] = 1, -- Frostbolt
	["화염구"] = 1, -- Fireball
	["신비한 화살"] = 1, -- Arcane Missiles
	["신비한 폭발"] = 1, -- Arcane Explosion
	["눈보라"] = 1, -- Blizzard
	["불덩이 작열"] = 1, -- Pyroblast
	["순간이동: 아이언포지"] = 1, -- Teleport: Ironforge
	["순간이동: 오그리마"] = 1, -- Teleport: Orgrimmar
	["순간이동: 스톰윈드"] = 1, -- Teleport: Stormwind
	["순간이동: 언더시티"] = 1, -- Teleport: Undercity
	["순간이동: 다르나서스"] = 1, -- Teleport: Darnassus
	["순간이동: 썬더 블러프"] = 1, -- Teleport: Thunder Bluff
	["차원의 문: 아이언포지"] = 1, -- Portal: Ironforge
	["차원의 문: 오그리마"] = 1, -- Portal: Orgrimmar
	["차원의 문: 스톰윈드"] = 1, -- Portal: Stormwind
	["차원의 문: 언더시티"] = 1, -- Portal: Undercity 
	["차원의 문: 다르나서스"] = 1, -- Portal: Darnassus
	["차원의 문: 썬더 블러프"] = 1, -- Portal: Thunder Bluff
	["불태우기"] = 1, -- Scorch
	["불덩이 작열"] = 1, -- Pyroblast
	["불기둥"] = 1, -- Flamestrike
	-- 주술사
	["번개 화살"] = 1, -- Lightning Bolt
	["연쇄 번개"] = 1, -- Chain Lightning
	-- 흑마법사
	["제물"] = 1, -- Immolate
	["부패"] = 1, -- Corruption
	["어둠의 화살"] = 1, -- Shadow Bol
	["영혼 흡수"] = 1, -- Drain Soul
	["생명력 집중"] = 1, -- Health Funnel
	["생명력 흡수"] = 1, -- Drain Life
	["불타는 고통"] = 1, -- Searing Pain
	["소환 의식"] = 1, -- Ritual of Summoning
	["마나 흡수"] = 1, -- Drain Mana
	["지옥의 불길"] = 1, -- Hellfire
	["점화"] = 1, -- Conflagrate
	["영혼의 불꽃"] = 1, -- Soul Fire
	-- 성기사
	["천벌의 망치"] = 1, -- Hammer of Wrath  ??
};

-- Spells/Emotes that will be ignored
SA_SPELLS_IGNORE = 
{
	["독 해제"] = 1; -- Abolish Poision
	["조준 사격"] = 1; -- Aimed Shot
	["신비한 지능"] = 1; -- Arcane Intellect
	["신비한 사격"] = 1; -- Arcane Shot
	["은빛여명회 위임봉"] = 1; -- Argent Dawn Commission
	["치타의 상"] = 1; -- Aspect of the Cheetah
	["매의 상"] = 1; -- Aspect of the Hawk
	["원숭이의 상"] = 1; -- Aspect of the Monkey
	["공격"] = 1; -- Attack
	["전투의 외침"] = 1; -- Battle Shout
	["피의 분노"] = 1; -- Bloodrage
	["피의 광기"] = 1; -- Blood Craze
	["피의 서약"] = 1; -- Blood Pact
	["전투 태세"] = 1; -- Battle Stance
	["광폭 태세"] = 1; -- Berserker Stance
	["폭풍의 칼날"] = 1; -- Blade Flurry
	["점멸"] = 1; -- Blink
	["정신 집중"] = 1; -- Clearcasting
	["충격포"] = 1; -- Concussive Shot
	["질주"] = 1; -- Dash
	["방어 태세"] = 1; -- Defensive Stance
	["함정 감지"] = 1; -- Detect Traps
	["기원의 오라"] = 1; -- Devotion Aura
	["격노"] = 1; -- Enrage
	["회피"] = 1; -- Evasion
	["폭발 사격"] = 1; -- Explosive Shot
	["소실"] = 1; -- Fade
	["화염 저항의 오라"] = 1; -- Fire Resistance Aura
	["질풍"] = 1; -- Flurry
	["집중력"] = 1; -- Focused Casting
	["신속"] = 1; -- Haste
	["신성한 힘"] = 1; -- Holy Strength
	["신의 계시"] = 1; -- Inspiration
	["줄리의 축복"] = 1; -- Julie's Blessing
	["냉혹함"] = 1; -- Remorseless
	["독사 쐐기"] = 1; -- Serpent Sting
	["산탄 사격"] = 1; -- Scatter Shot
	["방패 막기"] = 1; -- Shield Block
	["구원의 영혼"] = 1; -- Spirit of Redemption
	["정신력 누출"] = 1; -- Spirit Tap
	["전력 질주"] = 1; -- Sprint
	["은신"] = 1; -- Stealth
	["재빠른 변신"] = 1; -- Swiftshifting
	["치타 변신"] = 1; -- Travel Form
	["정조준 오라"] = 1; -- Trueshot Aura
	["살무사 쐐기"] = 1; -- Viper Sting
};

SA_MOBS_ACCEPT = 
{
};

SA_PTN_SPELL_BEGIN_CAST = "(.+)|1이;가; (.+)|1을;를; 시전합니다."; -- (.+) begins to cast (.+).
SA_PTN_SPELL_GAINS_X = "(.+)|1이;가; (%d+)의 (.+)|1을;를; 얻었습니다."; -- (.+) gains (%d+) (.+).
SA_PTN_SPELL_GAINS = "(.+)|1이;가; (.+) 효과를 얻었습니다."; -- (.+) gains (.+).
SA_PTN_SPELL_TOTEM = "(.+)|1이;가; (.+) 토템을 시전합니다."; -- (.+) casts (.+) Totem.
SA_PTN_SPELL_FADE = "(.+)의 몸에서 (.+) 효과가 사라졌습니다."; -- (.+) fades from (.+).
SA_PTN_SPELL_BEGIN_PERFORM = "(.+)|1이;가; (.+)|1을;를; 사용합니다."; -- (.+) begins to perform (.+).

SA_WOTF = "언데드의 의지"; -- Will of the Forsaken
SA_BERSERKER_RAGE = "광전사의 격노"; -- Berserker Rage

SA_AFFLICT_LIVINGBOMB = "살아있는 폭탄에 걸렸습니다."; -- You are afflicted by Living Bomb.

SA_EMOTE_DEEPBREATH = "깊은 숨을 들이쉽니다..."; -- takes in a deep breath...


elseif (GetLocale()=="frFR") then
-- French


end